Name:           qt4urpm
Version:        1.0.1
Release:        %mkrel 5
Summary:        A Qt based frontend for the urpm* package management tools
License:        GPLv3
Group:          System/Packaging
URL:            http://www.sf.net/projects/qt4urpm
Source0:        %{name}-%{version}.tar.lzma

BuildRequires:  qt4-devel
Requires:       urpmi
Requires:       kdebase4-runtime 
Requires:       gurpmi 
Requires:       xterm 
Requires:       qt4-common

%description
qt4urpm is a Qt4 based frontend for the urpm* package management tools,
which provides an intuitive interface to manage orphaned packages and
search for packages that contain a specific file.

%prep
%setup -q

%build
make lrelease
qmake -spec %{_libdir}/qt4/mkspecs/linux-g++ -o Makefile qt4urpm.pro
make LOCALEPATH="%{_datadir}/%{name}/qm/"

%install
mkdir -p %{buildroot}%{_bindir}/
cp %{name} %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Qt4urpm
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=/usr/share/icons/oxygen/256x256/categories/preferences-system.png
Type=Application
Categories=System;Settings;PackageManager;
EOF

mkdir -p %{buildroot}%{_datadir}/%{name}/qm
cp *.qm %{buildroot}%{_datadir}/%{name}/qm/

%files
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_datadir}/%{name}/qm/*.qm
%defattr(755,root,root,755)
%{_bindir}/%{name}


%changelog

* Tue Jan 22 2013 fwang <fwang> 1.0.1-5.mga3
+ Revision: 390800
- update rpm group

* Sun Jan 13 2013 umeabot <umeabot> 1.0.1-4.mga3
+ Revision: 379962
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 pterjan <pterjan> 1.0.1-3.mga3
+ Revision: 323194
- Fix desktop file
- Get it to build on x86_64
- Drop empty pre section

* Tue May 03 2011 obgr_seneca <obgr_seneca> 1.0.1-2.mga1
+ Revision: 94471
- corrected requires from libkdesu5 to kdebase4-runtime

* Wed Apr 27 2011 obgr_seneca <obgr_seneca> 1.0.1-1.mga1
+ Revision: 92020
- removed dot from summary
- imported package qt4urpm

